com.aliyun.svideosdk.editor.template

## Interface AliyunTemplatePlayer

- All Known Subinterfaces:
    AliyunTemplateBuilder, AliyunTemplateEditor

      public interface AliyunTemplatePlayer

  v3.27.0 新增

  模板播放器

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<AliyunTemplateParam>` | `getAllParams()` 获取模板参数
    `long` | `getCurrentPlayPosition()` 获取当前播放位置（受时间特效影响的）
    `long` | `getDuration()` 获取播放时长
    `AliyunEditorProject` | `getEditorProject()` 获取工程配置
    `int` | `init(SurfaceView surfaceView, int width, int height)` 初始化
    `boolean` | `isPaused()` 状态获取,是否暂停
    `boolean` | `isPlaying()` Gets whether playback is in progress.
    `void` | `onDestroy()` 生命周期销毁时调用
    `int` | `pause()` 暂停播放
    `int` | `play()` 开始播放
    `int` | `seek(long time)` seek到某个时间点
    `void` | `setPlayerCallBack(EditorCallBack playerCallBack)` 设置播放器回调

- - ### Method Detail

    - #### init

          int init(SurfaceView surfaceView,
                   int width,
                   int height)

      初始化
      Parameters:
        `surfaceView` - 显示view
        `width` - 显示宽度
        `height` - 显示高度
      Returns:
        0 初始化成功，其他：无增值服务授权

    - #### setPlayerCallBack

          void setPlayerCallBack(EditorCallBack playerCallBack)

      设置播放器回调
      Parameters:
        `playerCallBack` - 播放器回调

    - #### play

          int play()

      开始播放
      Returns:
        `AliyunErrorCode.ERROR_TRES_ILLEGAL_EDITOR_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_NATIVE_NOT_INITED` `AliyunEditorErrorCode.SVIDEO_EDITOR_INVALID_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_START_ERROR`

    - #### seek

          int seek(long time)

      seek到某个时间点
      Parameters:
        `time` - 时间，单位：微秒
      Returns:
        `AliyunErrorCode.ERROR_TRES_ILLEGAL_EDITOR_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_NATIVE_NOT_INITED` `AliyunEditorErrorCode.SVIDEO_EDITOR_INVALID_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_SEEK_IN_OFFSET` `AliyunEditorErrorCode.SVIDEO_EDITOR_SEEK_ERROR` `AliyunEditorErrorCode.ALIVC_FRAMEWORK_AUDIO_PROCESS_SEEK_FAILED`

    - #### pause

          int pause()

      暂停播放
      Returns:
        `AliyunErrorCode.ERROR_TRES_ILLEGAL_EDITOR_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_NATIVE_NOT_INITED` `AliyunEditorErrorCode.SVIDEO_EDITOR_INVALID_STATE` `AliyunEditorErrorCode.SVIDEO_EDITOR_PAUSE_ERROR`

    - #### getCurrentPlayPosition

          long getCurrentPlayPosition()

      获取当前播放位置（受时间特效影响的）
      Returns:
        当前播放位置（时间单位：us）

    - #### getDuration

          long getDuration()

      获取播放时长
      Returns:
        播放时长（时间单位：us）

    - #### isPlaying

          boolean isPlaying()

      Gets whether playback is in progress.
      Returns:
        whater is playing,true is playing

    - #### isPaused

          boolean isPaused()

      状态获取,是否暂停
      Returns:
        返回是否暂停

    - #### onDestroy

          void onDestroy()

      生命周期销毁时调用

    - #### getEditorProject

          AliyunEditorProject getEditorProject()

      获取工程配置
      Returns:
        工程配置

    - #### getAllParams

          java.util.List<AliyunTemplateParam> getAllParams()

      获取模板参数
      Returns:
        模板参数